### Virtual Method

# Camel Settings clone

since: 3.2

#### Declaration [src]

    CamelSettings*
    clone (
      CamelSettings* settings
    )

#### Description [src]

Creates a copy of `settings`, such that passing `settings` and the copied instance to `camel_settings_equal()` would return `TRUE`.

By default, this creates a new settings instance with the same `GType` as `settings`, and copies all `GObject` property values from `settings` to the new instance.

Available since: 3.2

#### Return value

Type: `CamelSettings`

A newly-created copy of `settings`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.